_CameraStorageInformation Struct Reference

Storage information structue. More...

`#include <gphoto2-filesys.h>`

## Data Fields

CameraStorageInfoFields | fields
| Bitmask of struct members that are specified.
char | basedir [256]
| Basedirectory of the storage. Will be "/" if just 1 storage on the camera.
char | label [256]
| Label of the storage. Similar to DOS label.
char | description [256]
| Description of the storage.
CameraStorageType | type
| Hardware type of the storage.
CameraStorageFilesystemType | fstype
| Hierarchy type of the filesystem.
CameraStorageAccessType | access
| Access permissions.
uint64_t | capacitykbytes
| Total capacity in kbytes.
uint64_t | freekbytes
| Free space in kbytes.
uint64_t | freeimages
| Free space in images (guessed by camera).

## Detailed Description

Storage information structue.

This structure contains the information of a specific camera storage. Only the members as specified by the fields member are valid.

The documentation for this struct was generated from the following file:

- gphoto2/gphoto2-filesys.h